Index: /branches/reconfiguration/modules/vci_cc_vcache_wrapper/caba/test/common.mk
===================================================================
--- /branches/reconfiguration/modules/vci_cc_vcache_wrapper/caba/test/common.mk	(revision 851)
+++ /branches/reconfiguration/modules/vci_cc_vcache_wrapper/caba/test/common.mk	(revision 852)
@@ -10,4 +10,5 @@
 DOXYGEN    := doxygen
 SED        := sed
+SHELL      := bash
 
 CFLAGS     := -Wall                        \
Index: /branches/reconfiguration/modules/vci_cc_vcache_wrapper/caba/test/simple_wdt_test/Makefile
===================================================================
--- /branches/reconfiguration/modules/vci_cc_vcache_wrapper/caba/test/simple_wdt_test/Makefile	(revision 851)
+++ /branches/reconfiguration/modules/vci_cc_vcache_wrapper/caba/test/simple_wdt_test/Makefile	(revision 852)
@@ -30,11 +30,4 @@
 
 # =============================================================================
-# Documentation generation
-# =============================================================================
-
-DOCCONF := doxygen.config
-DOCDIR  := doc
-
-# =============================================================================
 # Object files
 # =============================================================================
@@ -48,4 +41,16 @@
 
 TARGET := $(BUILD_DIR)/soft.elf
+
+# =============================================================================
+# Test variables
+# =============================================================================
+PLATFORM  := ../../../../../platforms/tsar_generic_iob
+SIMULATOR := $(PLATFORM)/simul.x
+
+# batch mode => no xterm or frame buffer windows
+SOCLIB_TTY := FILES
+SOCLIB_FB  := HEADLESS
+SOCLIB_GDB ?=
+export SOCLIB_TTY SOCLIB_FB SOCLIB_GDB
 
 # =============================================================================
@@ -62,7 +67,4 @@
 $(OBJS): $(CONF) | $(BUILD_DIR)
 
-doc: $(DOCCONF)
-	doxygen $<
-
 $(LIB_TARGET): $(LIB_OBJS)
 	$(AR) rcs $@ $(LIB_OBJS)
@@ -72,4 +74,18 @@
 	$(DU) -D $@ > $@.txt
 
+test: $(SIMULATOR) $(TARGET)
+	-$< -SOFT $(TARGET) -DISK /dev/null 2> /dev/null >> $(CONFDIR)/log
+	-soclib-cleanup-terms &> /dev/null
+	mv term0 $(CONFDIR)/term
+	grep -q "success" $(CONFDIR)/term
+	if [ $$? == 0 ]; then \
+		echo $$(basename $(PWD)) ": Success"; \
+	else \
+		echo $$(basename $(PWD)) ": Failure"; \
+	fi;
+
+$(SIMULATOR) $(CONF): $(PLATFORM)/scripts/onerun.py
+	./$< -o $(CONFDIR) -p $(PLATFORM) -x1 -y1 -n1 -c
+
 $(BUILD_DIR):
 	$(MKDIR) $@
@@ -78,9 +94,6 @@
 	$(RM) $(BUILD_DIR)
 
-clean-doc:
-	$(RM) $(DOCDIR)
-
 clean-log:
 	$(RM) $(CONFDIR)
 
-distclean: clean clean-doc clean-log
+distclean: clean clean-log
Index: /branches/reconfiguration/modules/vci_cc_vcache_wrapper/caba/test/simple_wdt_test/main.c
===================================================================
--- /branches/reconfiguration/modules/vci_cc_vcache_wrapper/caba/test/simple_wdt_test/main.c	(revision 851)
+++ /branches/reconfiguration/modules/vci_cc_vcache_wrapper/caba/test/simple_wdt_test/main.c	(revision 852)
@@ -27,5 +27,5 @@
 void main(void)
 {
-    cpu_set_wdt_max(500);
+    cpu_set_wdt_max(100);
 
     /*
Index: anches/reconfiguration/modules/vci_cc_vcache_wrapper/caba/test/simple_wdt_test/run.sh
===================================================================
--- /branches/reconfiguration/modules/vci_cc_vcache_wrapper/caba/test/simple_wdt_test/run.sh	(revision 851)
+++ 	(revision )
@@ -1,17 +1,0 @@
-PLATFORM="../../../../../platforms/tsar_generic_iob/"
-OUTDIR=output
-
-make
-./$PLATFORM/scripts/onerun.py -o $OUTDIR -p $PLATFORM -x1 -y1 -n1 -c
-
-export SOCLIB_FB=HEADLESS
-export SOCLIB_TTY=FILES
-./$PLATFORM/simul.x -SOFT build/soft.elf -DISK /dev/null 2> /dev/null >> $OUTDIR/log
-soclib-cleanup-terms &>/dev/null
-mv term0 $OUTDIR/term
-grep -q "success" $OUTDIR/term
-if [ $? == 0 ]; then
-	echo "Success"
-else
-	echo "Failure"
-fi
